const axios = require('axios')
const MS = require('./ms')
const {
  isString,
  isNumber
} = require('./dataType')

const banner = class banner {

  constructor() {
    this.header = {
      'content-type': 'application/json',
      'X-MS-ApplicationId': MS._config.applicationId,
      'X-MS-REST-API-KEY': MS._config.applicationKey,
      'X-MS-APP-ID': MS._config.appid
    }
  }

  findBanners() {
    return new Promise((resolve, reject) => {
      axios({
        method: 'GET',
        url: MS._config.parameters.APP_FIND_BANNER,
        headers: this.header
      }).then(res => {
        if(res.data.success) {
          resolve(res.data.data)
        } else {
          reject(res.data.message)
        }
      }).catch(err => {
        reject(err)
      })
    })
  }
}

module.exports = banner
