let MS = require("./ms.js")
const request = require("./request.js")
const Error = require("./error");
const storage = require("./storage.js")
const {
    isObject,
    isString,
    isNumber,
    isUndefined,
    isArray,
    isBoolean
} = require('./dataType')

const common = class common {
    constructor() {
        //this.currUser = MS.User.current()
    }

    checkExpressFee(totalPrice, totalShareProfit, cityName, ice, isAgent) {
        let data = {
            totalPrice: totalPrice,
            totalShareProfit: totalShareProfit,
            cityName: cityName,
            ice: ice,
            isAgent: isAgent
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_COMMON_CHECK_EXPRESS_FEE, "GET", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    loadHotSearch() {
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_COMMON_LOAD_HOT_SEARCH, "GET", {}).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    sendSMSCode(phoneNumber) {
        let data = {
            phone: phoneNumber
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_SEND_SMS_CODE, "GET", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    verifySmsCode(phoneNumber, code) {
        let data = {
            userId: MS.User.current().id,
            phone: phoneNumber,
            code: code
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_VERIFY_SMS_CODE, "GET", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    createQrCodeUnlimit(userId, scene, path) {
        let params = {
            userId: userId,
            scene: scene,
            path: path
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_CREATE_QR_CODE_UNLIMIT, "POST", params).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }
}

module.exports = common