let MS = require("./ms.js")
const request = require("./request.js")
const Error = require('./error')
const storage = require("./storage.js")
const {
    isObject,
    isString,
    isNumber,
    isUndefined,
    isArray
} = require('./dataType')

const explore = class explore {

    constructor() {

    }

    query(params) {
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_QUERY_EXPLORES, "GET", params).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    get(id) {
        let data = {id: id}
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_GET_EXPLORES, "GET", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    findExploreGoods(id) {
        let params = {
            exploreId: id
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_FIND_EXPLORE_GOODS, "GET", params).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }
}

module.exports = explore