let MS = require("./ms.js")
const request = require("./request.js")
const Error = require('./error')
const storage = require("./storage.js")
const {
    isObject,
    isString,
    isNumber,
    isUndefined,
    isArray
} = require('./dataType')

const goods = class goods {

    constructor() {
    }

    query(params) {
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_FIND_GOODS, "GET", params).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err);
            })
        })
    }

    get(id) {
        let data = {goodsId : id}
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_GET_GOODS, "GET", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err);
            })
        })
    }

    loadGoodsCategorys() {
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_LOAD_GOODS_CATEGORYS, "GET", {}).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err);
            })
        })
    }

    loadGoodsSubCategorys() {
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_LOAD_GOODS_SUB_CATEGORYS, "GET", {}).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err);
            })
        })
    }

    favorite(goodsId) {
        if(!MS.User.current()) {
            throw new Error(416, "当前用户未登录")
        }
        let data = {
            userId: MS.User.current().id,
            goodsId: goodsId,
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_GOODS_FAVORITE, "POST", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    cancelFavorite(goodsId) {
        if(!MS.User.current()) {
            throw new Error(416, "当前用户未登录")
        }
        let data = {
            userId: MS.User.current().id,
            goodsId: goodsId
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_GOODS_CANCEL_FAVORITE, "DELETE", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    checkFavorite(goodsId) {
        if(!MS.User.current()) {
            throw new Error(416, "当前用户未登录")
        }
        let data = {
            userId: MS.User.current().id,
            goodsId: goodsId
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_GOODS_CHECK_FAVORITE, "GET", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    loadUserFavoriteGoods(pageNum, pageSize) {
        if(!MS.User.current()) {
            throw new Error(416, "当前用户未登录")
        }
        let data = {
            userId: MS.User.current().id,
            pageNum: pageNum != undefined || pageNum != null ? pageNum : 1,
            pageSize: pageSize != undefined || pageSize != null ? pageNum : 10
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_GOODS_LOAD_USER_FAVORITE, "GET", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }
}
module.exports = goods
