const axios = require('axios')
const MS = require('./ms')
const {
  isString,
  isNumber
} = require('./dataType')

const goodsCategory = class goodsCategory {
  constructor() {
    this.header = {
      'content-type': 'application/json',
      'X-MS-ApplicationId': MS._config.applicationId,
      'X-MS-REST-API-KEY': MS._config.applicationKey,
      'X-MS-APP-ID': MS._config.appid
    }
  }

  loadGoodsCategorys() {
    return new Promise((resolve, reject) => {
      axios({
        method: 'GET',
        url: MS._config.parameters.APP_FIND_GOODS_GATEGORYS,
        headers: this.header
      }).then(res => {
        if(res.data.success) {
          resolve(res.data.data)
        } else {
          reject(res.data.message)
        }
      }).catch(err => {
        reject(err)
      })
    })
  }

  getGoodsSubCategory(subCategoryId) {
    let params = {
      subCategoryId: subCategoryId
    }
    return new Promise((resolve, reject) => {
      axios({
        method: 'GET',
        url: MS._config.parameters.APP_GET_GOODS_SUB_CATEGORY,
        params: params,
        headers: this.header
      }).then(res => {
        if(res.data.success) {
          resolve(res.data.data)
        } else {
          reject(res.data.message)
        }
      }).catch(err => {
        reject(err)
      })
    })
  }
}

module.exports = goodsCategory
