const MS = require('./ms')
const request = require("./request.js")
const Error = require('./error')
const storage = require("./storage.js")
const {
    isObject,
    isString,
    isNumber,
    isUndefined,
    isArray
} = require('./dataType')
const media = class media {

  constructor() {
  }

  findMedia(options) {
    let params = {
      pageNum: 1,
      pageSize: 10
    }

    if(isNumber(options.pageSize)) {
      params.pageSize = options.pageSize
    }
    if(isNumber(options.pageNum)) {
      params.pageNum = options.pageNum
    }
    if(isString(options.title)) {
      params.title = options.title
    }
    if(isNumber(options.category)) {
      params.category = options.category
    }
    return new Promise((resolve, reject) => {
      // axios({
      //   method: 'GET',
      //   url: MS._config.parameters.APP_FIND_MEDIA,
      //   params: params,
      //   headers: this.header
      // }).then(res => {
      //   resolve(res.data.data)
      // }).catch(err => {
      //   reject(err)
      // })
        request(MS._config.parameters.APP_FIND_MEDIA ,"GET", params, {}).then(res => {
            resolve(res.data)
        }).catch(err => {
            reject(err)
        })
    })
  }

  getMedia(id) {
    let params = {
      id: id
    }
    return new Promise((resolve, reject) => {
      // axios({
      //   method: 'GET',
      //   url: MS._config.parameters.APP_GET_MEDIA,
      //   params: params,
      //   headers: this.header
      // }).then(res => {
      //   resolve(res.data.data)
      // }).catch(err => {
      //   reject(err)
      // })
        request(MS._config.parameters.APP_GET_MEDIA ,"GET", params, {}).then(res => {
            resolve(res.data)
        }).catch(err => {
            reject(err)
        })
    })
  }

  findMediaFile(id) {
    let params = {
      mediaId: id
    }
    return new Promise((resolve, reject) => {
      // axios({
      //   method: 'GET',
      //   url: MS._config.parameters.APP_FIND_MEDIA_FILE,
      //   params: params,
      //   headers: this.header
      // }).then(res => {
      //   resolve(res.data.data)
      // }).catch(err => {
      //   reject(err)
      // })
        request(MS._config.parameters.APP_FIND_MEDIA_FILE ,"GET", params, {}).then(res => {
            resolve(res.data)
        }).catch(err => {
            reject(err)
        })
    })
  }
}

module.exports = media
