let MS = require("./ms.js")
const request = require("./request.js")
const Error = require('./error')
const storage = require("./storage.js")
const {
    isObject,
    isString,
    isNumber,
    isUndefined,
    isArray
} = require('./dataType')

const order = class order {
    constructor() {
    }

    createOrder(shopBagIds) {
        let data = {
            userId : MS.User.current().id,
            userName: MS.User.current().nickName,
            shopBagIds: shopBagIds
        }
        console.info(data);
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_ORDER, "POST", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    getOrder(orderId) {
        let data = {orderId: orderId};
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_ORDER, "GET", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    paySuccess(params) {
        var data = {
            orderId: params.id,
            cityName: params.cityName,
            pickUpName: params.pickUpName,
            pickUpPhone: params.pickUpPhone,
            pickUpAddress: params.pickUpAddress
        };
        if(params.wxOrderId != undefined) data.wxOrderId = params.wxOrderId;
        if(params.payIntegral != undefined) data.payIntegral = params.payIntegral;
        if(params.payPrice != undefined) data.payPrice = params.payPrice;
        if(params.courierPrice != undefined) data.courierPrice = params.courierPrice;
        if(params.isRebate != undefined) data.isRebate = params.isRebate;
        if(params.totalShareProfit != undefined) data.totalShareProfit = params.totalShareProfit;
        if(params.refereeId != undefined) data.refereeId = params.refereeId;
        if(params.refereeName != undefined) data.refereeName = params.refereeName;
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_ORDER, "PUT", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    cancelOrder(orderId) {
        let data = {orderId: orderId};
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_ORDER, "DELETE", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    query(params) {
        let data = {
            userId: MS.User.current().id
        };
        if(params.status != undefined) data.status = params.status;
        if(params.wxOrderId != undefined) data.wxOrderId = params.wxOrderId;
        if(params.ice != undefined) data.ice = params.ice;
        if(params.isRebate != undefined) data.isRebate = params.isRebate;
        if(params.pageNum != undefined) data.pageNum = params.pageNum;
        if(params.pageSize != undefined) data.pageSize = params.pageSize;
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_FIND_ORDERS, "GET", data).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }

    findOrderExpress(orderId) {
        let params = {
            orderId: orderId
        }
        return new Promise((resolve, reject) => {
            request(MS._config.parameters.WX_FIND_ORDER_EXPRESS, "GET", params).then(res => {
                resolve(res.data)
            }).catch(err => {
                reject(err)
            })
        })
    }
}

module.exports = order