let MS = require('./ms')
const setHeader = (config) => {
    let header = {
        'content-type': 'application/json',
        'X-MS-ApplicationId': config.applicationId,
        'X-MS-REST-API-KEY': config.applicationKey,
        'X-MS-APP-ID': config.appid
    }
    return header
}

const setHeaderPost = (config) => {
    let header = {
        'content-type': 'application/x-www-form-urlencoded',
        'X-MS-ApplicationId': config.applicationId,
        'X-MS-REST-API-KEY': config.applicationKey,
        'X-MS-APP-ID': config.appid
    }
    return header
}

const request = (route, method = 'get', params = {}, data = {}) => {
    return new Promise((resolve, reject) => {
        var header = {}
        if(method == 'GET' || method == 'get') {
            header = setHeader(MS._config)
        } else {
            header = setHeaderPost(MS._config)
        }
        wx.request({
            url: route,
            method: method,
            data: params,
            header: header,
            success: res => {
                //console.info(res);
                if (res.statusCode === 200) {
                    resolve(res.data)
                } else {
                    reject(res)
                }
            },
            fail: err => {
                console.log(err)
                reject(err)
            }
        })
    })
}

module.exports = request